#### Previous topic

scipy.special.ellipkm1

#### Next topic

scipy.special.ellipe

# scipy.special.ellipkinc

`scipy.special.``ellipkinc`(phi, m) = <ufunc 'ellipkinc'>

  Incomplete elliptic integral of the first kind

  This function is defined as

  \[K(\phi, m) = \int_0^{\phi} [1 - m \sin(t)^2]^{-1/2} dt\]

  This function is also called F(phi, m).

  Parameters:

  phi : array_like

  > amplitude of the elliptic integral

  m : array_like

  > parameter of the elliptic integral

  Returns:

  K : ndarray

  > Value of the elliptic integral

  See also

  `ellipkm1`
    Complete elliptic integral of the first kind, near m = 1
  `ellipk`
    Complete elliptic integral of the first kind
  `ellipe`
    Complete elliptic integral of the second kind
  `ellipeinc`
    Incomplete elliptic integral of the second kind

  Notes

  Wrapper for the Cephes [R378] routine ellik. The computation is carried out using the arithmetic-geometric mean algorithm.

  References

  [R378] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html